io.vertx.grpc

## Class VertxServerBuilder

- java.lang.Object
- - io.grpc.ServerBuilder<VertxServerBuilder>
  - - io.vertx.grpc.VertxServerBuilder

-     public class VertxServerBuilder
      extends io.grpc.ServerBuilder<VertxServerBuilder>

  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VertxServerBuilder` | `addService(io.grpc.BindableService bindableService)`
    `VertxServerBuilder` | `addService(io.grpc.ServerServiceDefinition service)`
    `VertxServerBuilder` | `addStreamTracerFactory(io.grpc.ServerStreamTracer.Factory factory)`
    `VertxServerBuilder` | `addTransportFilter(io.grpc.ServerTransportFilter filter)`
    `VertxServer` | `build()`
    `VertxServerBuilder` | `commandDecorator(java.util.function.Consumer<Runnable> commandDecorator)` Add a command decorator for the grpc calls.
    `VertxServerBuilder` | `compressorRegistry(io.grpc.CompressorRegistry registry)`
    `VertxServerBuilder` | `decompressorRegistry(io.grpc.DecompressorRegistry registry)`
    `VertxServerBuilder` | `directExecutor()`
    `VertxServerBuilder` | `executor(Executor executor)`
    `VertxServerBuilder` | `fallbackHandlerRegistry(io.grpc.HandlerRegistry fallbackRegistry)`
    `static VertxServerBuilder` | `forAddress(Vertx vertx, SocketAddress address)`
    `static VertxServerBuilder` | `forAddress(Vertx vertx, String host, int port)`
    `static VertxServerBuilder` | `forPort(Vertx vertx, int port)`
    `VertxServerBuilder` | `handshakeTimeout(long timeout, TimeUnit unit)`
    `VertxServerBuilder` | `intercept(io.grpc.ServerInterceptor interceptor)`
    `VertxServerBuilder` | `maxInboundMessageSize(int bytes)`
    `VertxServerBuilder` | `maxInboundMetadataSize(int bytes)`
    `io.grpc.netty.NettyServerBuilder` | `nettyBuilder()`
    `VertxServerBuilder` | `setBinaryLog(io.grpc.BinaryLog binaryLog)`
    `VertxServerBuilder` | `useSsl(Handler<HttpServerOptions> handler)`
    `VertxServerBuilder` | `useTransportSecurity(File certChain, File privateKey)`
    `VertxServerBuilder` | `useTransportSecurity(InputStream certChain, InputStream privateKey)`

    - ### Methods inherited from class io.grpc.ServerBuilder

      `forPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forPort

          public static VertxServerBuilder forPort(Vertx vertx,
                                                   int port)

    - #### forAddress

          public static VertxServerBuilder forAddress(Vertx vertx,
                                                      SocketAddress address)

    - #### forAddress

          public static VertxServerBuilder forAddress(Vertx vertx,
                                                      String host,
                                                      int port)

    - #### nettyBuilder

          public io.grpc.netty.NettyServerBuilder nettyBuilder()

      Returns:
        the underlying `NettyServerBuilder`

    - #### directExecutor

          public VertxServerBuilder directExecutor()

      Specified by:
        `directExecutor` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### executor

          public VertxServerBuilder executor(@Nullable
                                             Executor executor)

      Specified by:
        `executor` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### addService

          public VertxServerBuilder addService(io.grpc.ServerServiceDefinition service)

      Specified by:
        `addService` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### addService

          public VertxServerBuilder addService(io.grpc.BindableService bindableService)

      Specified by:
        `addService` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### fallbackHandlerRegistry

          public VertxServerBuilder fallbackHandlerRegistry(@Nullable
                                                            io.grpc.HandlerRegistry fallbackRegistry)

      Specified by:
        `fallbackHandlerRegistry` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### useTransportSecurity

          public VertxServerBuilder useTransportSecurity(File certChain,
                                                         File privateKey)

      Specified by:
        `useTransportSecurity` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### addTransportFilter

          public VertxServerBuilder addTransportFilter(io.grpc.ServerTransportFilter filter)

      Overrides:
        `addTransportFilter` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### addStreamTracerFactory

          public VertxServerBuilder addStreamTracerFactory(io.grpc.ServerStreamTracer.Factory factory)

      Overrides:
        `addStreamTracerFactory` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### decompressorRegistry

          public VertxServerBuilder decompressorRegistry(@Nullable
                                                         io.grpc.DecompressorRegistry registry)

      Specified by:
        `decompressorRegistry` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### compressorRegistry

          public VertxServerBuilder compressorRegistry(@Nullable
                                                       io.grpc.CompressorRegistry registry)

      Specified by:
        `compressorRegistry` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### intercept

          public VertxServerBuilder intercept(io.grpc.ServerInterceptor interceptor)

      Overrides:
        `intercept` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### useTransportSecurity

          public VertxServerBuilder useTransportSecurity(InputStream certChain,
                                                         InputStream privateKey)

      Overrides:
        `useTransportSecurity` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### handshakeTimeout

          public VertxServerBuilder handshakeTimeout(long timeout,
                                                     TimeUnit unit)

      Overrides:
        `handshakeTimeout` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### maxInboundMessageSize

          public VertxServerBuilder maxInboundMessageSize(int bytes)

      Overrides:
        `maxInboundMessageSize` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### setBinaryLog

          public VertxServerBuilder setBinaryLog(io.grpc.BinaryLog binaryLog)

      Overrides:
        `setBinaryLog` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### maxInboundMetadataSize

          public VertxServerBuilder maxInboundMetadataSize(int bytes)

      Overrides:
        `maxInboundMetadataSize` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

    - #### useSsl

          public VertxServerBuilder useSsl(Handler<HttpServerOptions> handler)

    - #### commandDecorator

          public VertxServerBuilder commandDecorator(java.util.function.Consumer<Runnable> commandDecorator)

      Add a command decorator for the grpc calls. The decorator provides a way to invoke arbitrary code before handling of the grpc request starts
      Parameters:
        `commandDecorator` - the decorator
      Returns:
        this

    - #### build

          public VertxServer build()

      Specified by:
        `build` in class `io.grpc.ServerBuilder<VertxServerBuilder>`

Copyright © 2021 Eclipse. All rights reserved.